.TH wxGLCanvas 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxGLCanvas \- See external documentation: wxGLCanvas\&.
.SH DESCRIPTION
.LP
See external documentation: wxGLCanvas <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxglcanvas\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxGLCanvas()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new(Parent::wxWindow() (see module wxWindow)) -> wxGLCanvas()
.br
.RS
.LP
Equivalent to new(Parent, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), X::term()) -> wxGLCanvas()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxglcanvas\&.html#wxglcanvaswxglcanvas>\&. 
.br
 Alternatives: 
.LP
\fI new(Parent::wxWindow:wxWindow(), Shared::wxGLContext:wxGLContext() | wxGLCanvas()) -> new(Parent, Shared, []) \fR
.LP
\fI new(Parent::wxWindow:wxWindow(), [Option]) -> wxGLCanvas() \fR 
.br
 Option = {id, integer()} | {pos, {X::integer(),Y::integer()}} | {size, {W::integer(),H::integer()}} | {style, integer()} | {name, string()} | {attribList, [integer()]} | {palette, wxPalette:wxPalette()} 
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Shared::wxGLContext() (see module wxGLContext) | wxGLCanvas(), Options::[Option]) -> wxGLCanvas()
.br
.RS
.TP
Types
Option = {id, integer()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {name, string()} | {attribList, [integer()]} | {palette, wxPalette() (see module wxPalette)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxglcanvas\&.html#wxglcanvaswxglcanvas>\&.
.RE
.LP
.B
getContext(This::wxGLCanvas()) -> wxGLContext() (see module wxGLContext)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxglcanvas\&.html#wxglcanvasgetcontext>\&.
.RE
.LP
.B
setCurrent(This::wxGLCanvas()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxglcanvas\&.html#wxglcanvassetcurrent>\&.
.RE
.LP
.B
swapBuffers(This::wxGLCanvas()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxglcanvas\&.html#wxglcanvasswapbuffers>\&.
.RE
.LP
.B
destroy(This::wxGLCanvas()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
